#include <iostream>
using namespace std;

int a,n,bx1,bx2,bx3 , bp1 , bp2 , bp3;

void ispis(){
    cout << bx1 << " " << bp1 << endl;
    cout << bx2 << " " << bp2 << endl;
    cout << bx3 << " " << bp3 << endl;
    return;
}
int main() {
    cin >> n >> a;
    // x su pobednici
    if (3*a <= n){
        bx1 = a;
        bx2 = a;
        bx3 = a;
        n = n - 3*a;
        //prvi deo
        if (n <= a-2){
            bp1 = n;
            ispis();
            return 0;
        }
        else {
            bp1 = a-2;
            n -= bp1;
        }
        //drugi deo
        if (n <= a-2){
            bp2 = n;
            ispis();
            return 0;
        }
        else {
            bp2 = a-2;
            n -= bp2;
        }
        //treci deo
        if (n <= a-2){
            bp3 = n;
            ispis();
            return 0;
        }
        else {
            if ((n+a) % 2 == 1){
                bp1--;
                n++;
                bx3 = (n+a)/2 + 1;
                bp3 = (n+a)/2 - 1;
                ispis();
                return 0;
            }
            else {
                bx3 = (n+a)/2 + 1;
                bp3 = (n+a)/2 - 1;
                ispis();
                return 0;
            }
        }
    }
    else {
        cout << -1 << endl;
        return 0;
    }
}